Bug 199025 - dmraid causes lvm2 utils to bomb out (SIGSEGV)
dmraid causes lvm2 utils to bomb out (SIGSEGV)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Broz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-15 17:59 EDT by Milan Kerslager
Modified: 2013-02-28 23:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-17 05:16:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2006-07-15 17:59:35 EDT
I have SiI 3112 RAID card in one machive. At some point (half a year ago or so)
I was unable to mount my LVM1 device (the LVM has been builded but data has been
messed up so mounting was not possible). Now, few weeks ago after reboot, the
second LVM2 device has not been mounted and I saw SIGSEGV from LVM2 utils when
machine start (rc.sysinit). The array has been mounted by hand by issuing
"vgchange -a y" by hand (stil SIGSEGV, but device was then up).

After removin dmraid package, all is like before. I'm able to mount LVM array
and LVM2 comes up after the reboot too, no SIGSEGV.

This is probably because I have SW RAID configured on the card (in SiI card's
BIOS) even I do not use it. But lvm2 utils shoud not SIGSEGV. I'll post core
soon (when I'll have console access again).
Comment 1 Milan Broz 2007-05-17 05:16:39 EDT
There were many fixes in lvm2 package since this time.

If you see this problem again, please reopen this bug, run vgchange command with
debugging enabled (add -vvvv) and attach log file to this bugzilla.
Also please attach file created by lvmdump diagnostic utility, thanks.

(And this can be problem with empty mapping table too - recently fixed upstream.)

Note You need to log in before you can comment on or make changes to this bug.